Get Country
Returns the list of supported countries and zones.
Endpoint
GET /v1/country/get
Request
Header Parameters
| Parameter | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer YOUR_ACCESS_TOKEN | Bearer token used for authentication. |
Query Parameters
N/A
Example request
curl -X GET "${API_URL}/v1/country/get" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
Responses
200 Success
200 Success
Response schema:
application/jsondata.country_listarrayList of supported countries.
data.country_list
array
List of supported countries.
code
string
Country code
Example:
HKcountry
string
Country Full Name
Example:
HONG KONGResponse sample
{
"data": {
"country_list": [
{ "code": "AF", "country": "AFGHANISTAN" },
{ "code": "AU", "country": "AUSTRALIA" },
{ "code": "DE", "country": "GERMANY" },
{ "code": "HK", "country": "HONG KONG" },
{ "code": "US", "country": "USA" }
]
}
}
400 Bad Request
400 Bad Request
Response schema:
application/jsoncode
string
Error code.
Example:
400000code_reason
string
Error reason.
Example:
BAD_REQUESTmessage
string
Human-readable message.
Example:
Bad RequestResponse sample
{
"error": {
"code": "400000",
"code_reason": "BAD_REQUEST",
"message": "Bad Request"
}
}
401 Unauthorized
401 Unauthorized
Response schema:
application/jsoncode
string
Error code.
Example:
401000code_reason
string
Error reason.
Example:
UNAUTHORIZEDmessage
string
Human-readable message.
Example:
UnauthorizedResponse sample
{
"error": {
"code": "401000",
"code_reason": "UNAUTHORIZED",
"message": "Unauthorized"
}
}
403 Forbidden
403 Forbidden
Response schema:
application/jsonerror
json-string
Access forbidden for this resource.
404 Not Found
404 Not Found
Response schema:
application/jsonerror
json-string
Resource or endpoint not found.
500 Failure
500 Failure
Response schema:
application/jsoncode
string
Error code.
Example:
500999code_reason
string
Machine-readable error reason.
Example:
API_ERRORmessage
string
Human-readable message.
Example:
Api Error, please contact customer serviceResponse sample
{
"error": {
"code": "500999",
"code_reason": "API_ERROR",
"message": "Api Error, please contact customer service"
}
}